<div class="front_page_section front_page_section_contacts<?php
	$racquet_scheme = racquet_get_theme_option( 'front_page_contacts_scheme' );
	if ( ! empty( $racquet_scheme ) && ! racquet_is_inherit( $racquet_scheme ) ) {
		echo ' scheme_' . esc_attr( $racquet_scheme );
	}
	echo ' front_page_section_paddings_' . esc_attr( racquet_get_theme_option( 'front_page_contacts_paddings' ) );
	if ( racquet_get_theme_option( 'front_page_contacts_stack' ) ) {
		echo ' sc_stack_section_on';
	}
?>"
		<?php
		$racquet_css      = '';
		$racquet_bg_image = racquet_get_theme_option( 'front_page_contacts_bg_image' );
		if ( ! empty( $racquet_bg_image ) ) {
			$racquet_css .= 'background-image: url(' . esc_url( racquet_get_attachment_url( $racquet_bg_image ) ) . ');';
		}
		if ( ! empty( $racquet_css ) ) {
			echo ' style="' . esc_attr( $racquet_css ) . '"';
		}
		?>
>
<?php
	// Add anchor
	$racquet_anchor_icon = racquet_get_theme_option( 'front_page_contacts_anchor_icon' );
	$racquet_anchor_text = racquet_get_theme_option( 'front_page_contacts_anchor_text' );
if ( ( ! empty( $racquet_anchor_icon ) || ! empty( $racquet_anchor_text ) ) && shortcode_exists( 'trx_sc_anchor' ) ) {
	echo do_shortcode(
		'[trx_sc_anchor id="front_page_section_contacts"'
									. ( ! empty( $racquet_anchor_icon ) ? ' icon="' . esc_attr( $racquet_anchor_icon ) . '"' : '' )
									. ( ! empty( $racquet_anchor_text ) ? ' title="' . esc_attr( $racquet_anchor_text ) . '"' : '' )
									. ']'
	);
}
?>
	<div class="front_page_section_inner front_page_section_contacts_inner
	<?php
	if ( racquet_get_theme_option( 'front_page_contacts_fullheight' ) ) {
		echo ' racquet-full-height sc_layouts_flex sc_layouts_columns_middle';
	}
	?>
			"
			<?php
			$racquet_css      = '';
			$racquet_bg_mask  = racquet_get_theme_option( 'front_page_contacts_bg_mask' );
			$racquet_bg_color_type = racquet_get_theme_option( 'front_page_contacts_bg_color_type' );
			if ( 'custom' == $racquet_bg_color_type ) {
				$racquet_bg_color = racquet_get_theme_option( 'front_page_contacts_bg_color' );
			} elseif ( 'scheme_bg_color' == $racquet_bg_color_type ) {
				$racquet_bg_color = racquet_get_scheme_color( 'bg_color', $racquet_scheme );
			} else {
				$racquet_bg_color = '';
			}
			if ( ! empty( $racquet_bg_color ) && $racquet_bg_mask > 0 ) {
				$racquet_css .= 'background-color: ' . esc_attr(
					1 == $racquet_bg_mask ? $racquet_bg_color : racquet_hex2rgba( $racquet_bg_color, $racquet_bg_mask )
				) . ';';
			}
			if ( ! empty( $racquet_css ) ) {
				echo ' style="' . esc_attr( $racquet_css ) . '"';
			}
			?>
	>
		<div class="front_page_section_content_wrap front_page_section_contacts_content_wrap content_wrap">
			<?php

			// Title and description
			$racquet_caption     = racquet_get_theme_option( 'front_page_contacts_caption' );
			$racquet_description = racquet_get_theme_option( 'front_page_contacts_description' );
			if ( ! empty( $racquet_caption ) || ! empty( $racquet_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				// Caption
				if ( ! empty( $racquet_caption ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
					?>
					<h2 class="front_page_section_caption front_page_section_contacts_caption front_page_block_<?php echo ! empty( $racquet_caption ) ? 'filled' : 'empty'; ?>">
					<?php
						echo wp_kses( $racquet_caption, 'racquet_kses_content' );
					?>
					</h2>
					<?php
				}

				// Description
				if ( ! empty( $racquet_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
					?>
					<div class="front_page_section_description front_page_section_contacts_description front_page_block_<?php echo ! empty( $racquet_description ) ? 'filled' : 'empty'; ?>">
					<?php
						echo wp_kses( wpautop( $racquet_description ), 'racquet_kses_content' );
					?>
					</div>
					<?php
				}
			}

			// Content (text)
			$racquet_content = racquet_get_theme_option( 'front_page_contacts_content' );
			$racquet_layout  = racquet_get_theme_option( 'front_page_contacts_layout' );
			if ( 'columns' == $racquet_layout && ( ! empty( $racquet_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) ) {
				?>
				<div class="front_page_section_columns front_page_section_contacts_columns columns_wrap">
					<div class="column-1_3">
				<?php
			}

			if ( ( ! empty( $racquet_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) ) {
				?>
				<div class="front_page_section_content front_page_section_contacts_content front_page_block_<?php echo ! empty( $racquet_content ) ? 'filled' : 'empty'; ?>">
					<?php
					echo wp_kses( $racquet_content, 'racquet_kses_content' );
					?>
				</div>
				<?php
			}

			if ( 'columns' == $racquet_layout && ( ! empty( $racquet_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) ) {
				?>
				</div><div class="column-2_3">
				<?php
			}

			// Shortcode output
			$racquet_sc = racquet_get_theme_option( 'front_page_contacts_shortcode' );
			if ( ! empty( $racquet_sc ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<div class="front_page_section_output front_page_section_contacts_output front_page_block_<?php echo ! empty( $racquet_sc ) ? 'filled' : 'empty'; ?>">
					<?php
					racquet_show_layout( do_shortcode( $racquet_sc ) );
					?>
				</div>
				<?php
			}

			if ( 'columns' == $racquet_layout && ( ! empty( $racquet_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) ) {
				?>
				</div></div>
				<?php
			}
			?>

		</div>
	</div>
</div>
