<?php
/**
 * The template to display default site footer
 *
 * @package RACQUET
 * @since RACQUET 1.0.10
 */

$racquet_footer_id = racquet_get_custom_footer_id();
$racquet_footer_meta = get_post_meta( $racquet_footer_id, 'trx_addons_options', true );
if ( ! empty( $racquet_footer_meta['margin'] ) ) {
	racquet_add_inline_css( sprintf( '.page_content_wrap{padding-bottom:%s}', esc_attr( racquet_prepare_css_value( $racquet_footer_meta['margin'] ) ) ) );
}
?>
<footer class="footer_wrap footer_custom footer_custom_<?php echo esc_attr( $racquet_footer_id ); ?> footer_custom_<?php echo esc_attr( sanitize_title( get_the_title( $racquet_footer_id ) ) ); ?>
						<?php
						$racquet_footer_scheme = racquet_get_theme_option( 'footer_scheme' );
						if ( ! empty( $racquet_footer_scheme ) && ! racquet_is_inherit( $racquet_footer_scheme  ) ) {
							echo ' scheme_' . esc_attr( $racquet_footer_scheme );
						}
						?>
						">
	<?php
	// Custom footer's layout
	do_action( 'racquet_action_show_layout', $racquet_footer_id );
	?>
</footer><!-- /.footer_wrap -->
