<?php
/**
 * The template to display the background video in the header
 *
 * @package RACQUET
 * @since RACQUET 1.0.14
 */
$racquet_header_video = racquet_get_header_video();
$racquet_embed_video  = '';
if ( ! empty( $racquet_header_video ) && ! racquet_is_from_uploads( $racquet_header_video ) ) {
	if ( racquet_is_youtube_url( $racquet_header_video ) && preg_match( '/[=\/]([^=\/]*)$/', $racquet_header_video, $matches ) && ! empty( $matches[1] ) ) {
		?><div id="background_video" data-youtube-code="<?php echo esc_attr( $matches[1] ); ?>"></div>
		<?php
	} else {
		?>
		<div id="background_video"><?php racquet_show_layout( racquet_get_embed_video( $racquet_header_video ) ); ?></div>
		<?php
	}
}
